This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 253355 - Review Request: twill - A simple scripting language for Web browsing
Review Request: twill - A simple scripting language for Web browsing
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2007-08-18 01:45 EDT by Luke Macken
Modified: 2009-04-12 06:21 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-06 13:01:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2007-08-18 01:45:23 EDT
Spec URL: http://lmacken.fedorapeople.org/rpms/twill.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/twill-0.9-0.1.b1.fc7.src.rpm
Description: twill is a simple language that allows users to browse the Web from a command-line interface. With twill, you can navigate through Web sites that use forms, cookies, and most standard Web features.
Comment 1 Till Maas 2007-08-18 05:28:04 EDT
- The Group-tag is wrong:
Group:          TODO

- iirc is python no longer in the default build eviroment, so this package
should not build in devel koji. Afaik you need to add "python-devel" to
BuildRequires.

- Imho you should remove this defination, because they are not used in the spec:
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from
distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

- This should be imho ended with a "/" to show, that it is directory, also it is
not working, 
%{python_sitelib}/%{name}-%{version}-py%{pyver}.egg-info

so it should be:
%{python_sitelib}/%{name}-%{version}%{beta_ver}-py%{pyver}.egg-info/
(the %{beta_ver} was missing)

- The license, which is in docs/LICENSE.txt in the tarball is not packaged.

- Also the everything else in docs/ is not packaged but may be useful, e.g.
ChangeLog and all the .txt files, and the example in advocacy.

- The Requires seem not to be sufficient, too. E.g. it seems that
pyhon-mechanize should be required and imho python does not need to be in Requires.

- The buildarch should be noarch:
BuildArch:      noarch
Comment 2 Luke Macken 2007-08-18 14:33:28 EDT
Updated RPM:
Spec URL: http://lmacken.fedorapeople.org/rpms/twill.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/twill-0.9-0.1.b1.fc7.src.rpm

I fixed almost everything that you mentioned, Till.  The only thing that is a
bit questionable is the mechanize requirement.  It looks as if twill ships it's
own mechanize code, so I don't think we need to worry about pulling our own in.
 What do you think?
Comment 3 Till Maas 2007-08-18 15:13:11 EDT
(In reply to comment #2)

> I fixed almost everything that you mentioned, Till.  The only thing that is a
> bit questionable is the mechanize requirement.  It looks as if twill ships it's
> own mechanize code, so I don't think we need to worry about pulling our own in.
>  What do you think?

From the twill hp:
| pyparsing, mechanize, and BeautifulSoup are included with twill for convenience,
| but are under their own licenses.

Fedora contains a newer version of pyparsing, the same version of mechanize and
an older version of clientform (also in devel, so if there is none, imho a bug
should be filed).  I cannot find BeatifulSoup being included in twill and
subproccess is included in python-2.5 .

Do you know how setup.py works? The best approach would be to patch it in a way
that it accepts an argument, e.g. "--exclude-other-packages", that makes the
other packages not being installed and submit this upstream. Otherwise it seems
a simple patch to setup.py is enough to make these packages not being installed.
With these being installed afaik you have to add each license to the License Tag
and also it may violate the Guidelines, because it is imho the same case with
binary packages that contain their own copy of a library.

I also noticed that twill contains some tests, maybe these should be run in
%check, but I do not know how to do this, but I saw someone mentioning this in
another review. But he wrote that there are no tests, so %check is not needed. ;-)

All the changes look good, btw.
Comment 4 Mamoru TASAKA 2007-12-16 00:06:49 EST
Any progress on here?
Comment 5 Mamoru TASAKA 2007-12-27 11:39:19 EST
ping again?
Comment 6 Mamoru TASAKA 2008-01-17 09:36:40 EST
I will close this bug if no response from the reporter is received within
ONE WEEK.
Comment 7 Luke Macken 2008-01-25 13:37:26 EST
Sorry, I'm still interested in this package.  I will try and polish it up this
weekend.
Comment 8 Luke Macken 2008-01-30 11:05:45 EST
Ugh, this will be a bit more work than I expected.

    * Moved 'mechanize' to '_mechanize_dist', 'ClientForm' to
    '_mechanize_dist.ClientForm', as requested for Debian dists.

...which means that they forked a bunch of modules (pyparsing, ClientForm,
mechanize).  I'm working on patch to hopefully resolve this (depending on how
bad they forked).
Comment 9 Matthias Saou 2008-03-21 20:17:58 EDT
FWIW :
- Debian has this package called "python-twill", we might want to do the same.
- A plugin of the Elisa media center requires twill, so I'm also interested in
seeing this package getting approved. When you have a new package, I could do
the review if needed.
Comment 10 Jason Tibbitts 2008-07-02 17:07:32 EDT
I'm going to go ahead and mark this as not being ready for review.  Please just
clear the whiteboard if you would like it to go back into the review queue.
Comment 11 Matthias Saou 2008-10-21 13:32:51 EDT
Since I still need the package for elisa, I've updated Luke's 0.9 pre-version to 0.9 final. Note that I'm not really interested in sorting out the issues (if still present) not maintaining the package...

I did rename it to python-twill, though :
http://thias.fedorapeople.org/review/python-twill/
Comment 12 Matthias Saou 2008-12-24 13:43:57 EST
I've updated the spec and package available at the above address to include a quick patch and requirements in order to avoid using the internal forked python code/projects and use the code already available in Fedora packages instead. Luke : If you could review those changes if you are still interested in being the package maintainer, that would be great (I haven't tested more than a rebuild).

Note also that while looking into this, I've seen that the "mechanize" available in Fedora also/already includes a fork of BeautifulSoup.
Comment 13 Matthias Saou 2009-01-08 13:08:52 EST
Clearing whiteboard (forgot to do that before!) and assigning to myself for review.

Luke : Could you please confirm that you are still interested in maintaining this package? And check + merge my changes if they look okay to you. I'll then proceed to the formal review.

If you are no longer interested, I'd be willing to become the maintainer as long as someone else is wanting to the review.
Comment 14 Matthias Saou 2009-01-14 09:54:28 EST
Ping? I'm going to need this package for elisa-plugins-ugly in another repo.
Comment 15 Matthias Saou 2009-02-17 04:57:51 EST
Removing the fedora-review '?' flag that Jason set, in case that's why this package isn't getting any attention.

Luke, are you still alive? I really think that the package is in good shape now, working fine, and easy to review :
http://thias.fedorapeople.org/review/python-twill/
Comment 16 Matthias Saou 2009-02-28 12:31:19 EST
Luke, could you give a life sign? It's been over a year since your last comment here :-)

And either confirm that you still want to maintain this package, in which case I'll review it, or that you don't, in which case I'll pick it up and need someone to review it.
Comment 17 Luke Macken 2009-03-04 16:47:03 EST
Sorry guys, I seemed to have dropped the ball on this one.

I used to have code that relied on this package, but I no longer use it.  Thus, I do not wish to maintain this package.
Comment 18 Jason Tibbitts 2009-03-06 13:01:39 EST
I'll close it out.
Comment 19 Matthias Saou 2009-03-06 14:34:09 EST
(In reply to comment #18)
> I'll close it out.  

...meaning I can't pick it up half-way and need to open a new review if I'm now interested in maintaining this package?
Comment 20 Jason Tibbitts 2009-03-06 14:55:59 EST
Always best if you open a new ticket in any case.  But if you really insist you can just reopen this one.  It's so far back in the list of tickets that there's little chance that anyone will notice, however.
Comment 21 Matthias Saou 2009-04-12 06:21:17 EDT
Just for reference, I've submitted python-twill for review as bug #495357.

Note You need to log in before you can comment on or make changes to this bug.